﻿// <auto-generated />
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using SRMTMTEST;

namespace SRMTMTEST.Migrations
{
    [DbContext(typeof(TestDBContext))]
    partial class TestDBContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn)
                .HasAnnotation("ProductVersion", "3.1.4")
                .HasAnnotation("Relational:MaxIdentifierLength", 63);

            modelBuilder.Entity("SRMTMTEST.Model.HistoricalUnitRelation", b =>
                {
                    b.Property<int>("PrecedingUnitId")
                        .HasColumnType("integer");

                    b.Property<int>("SucceedingUnitId")
                        .HasColumnType("integer");

                    b.HasKey("PrecedingUnitId", "SucceedingUnitId");

                    b.HasIndex("SucceedingUnitId");

                    b.ToTable("HistoricalUnitRelation");
                });

            modelBuilder.Entity("SRMTMTEST.Model.Unit", b =>
                {
                    b.Property<int>("UnitId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.HasKey("UnitId");

                    b.ToTable("Units");
                });

            modelBuilder.Entity("SRMTMTEST.Model.HistoricalUnitRelation", b =>
                {
                    b.HasOne("SRMTMTEST.Model.Unit", "PrecedingUnit")
                        .WithMany("Predecessors")
                        .HasForeignKey("PrecedingUnitId")
                        .OnDelete(DeleteBehavior.Restrict)
                        .IsRequired();

                    b.HasOne("SRMTMTEST.Model.Unit", "SucceedingUnit")
                        .WithMany("Successors")
                        .HasForeignKey("SucceedingUnitId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();
                });
#pragma warning restore 612, 618
        }
    }
}
